SuSE 11.1 Security Update : yast2-core (SAT Patch Number 5078)

Medium Nessus Plugin ID 56034


The remote SuSE 11 host is missing a security update.


This update of yast2-core fixes security issues and a bug :

- When setting a password for a user, use blowfish algorithm id 2y instead of 2a. (bnc#700876 / CVE-2011-2483)

- Log YCP client arguments only with y2debug, not to reveal AutoYaST passwords. (bnc#492746)

- ini-agent: Fixed a test failure 'wrong stderr for nonex' (bnc#706705)


Apply SAT patch number 5078.

See Also

Plugin Details

Severity: Medium

ID: 56034

File Name: suse_11_yast2-core-110830.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2011/09/01

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:yast2-core, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/08/30

Reference Information

CVE: CVE-2011-2483